<template>
    <div class="wrap">
        <div class="wrap-header">
            <div class="info-header">
                <div class="info-left">
                    <div class="detailContainer">
                        <ul>
                            <li>
                                <span class="label-wrap">点评请求：</span>
                                <div class="item-content">47</div>
                            </li>
                            <li>
                                <span class="label-wrap">点评统计：</span>
                                <div class="item-content">
                                    昨日： 8 坐席 27 次
                                    一周： 15坐席 203次
                                    战力： 1.13  ⬆
                                </div>
                            </li>
                            <li>
                            <span class="label-wrap">难易程度：</span>
                            <div class="item-content">{{ difficulty }}</div>
                            </li>
                            <li v-if="status == 'GOING' || status == 'END'">
                            <span class="label-wrap">学习人数：</span>
                            <div class="item-content">{{ studyPersonNum }}</div>
                            </li>
                            <li v-if="status == 'END'">
                            <span class="label-wrap">课程完成率：</span>
                            <div class="item-content orange">{{ completionRate }}</div>
                            </li>
                            <li v-if="status == 'GOING' || status == 'END'">
                            <span class="label-wrap">最高分：</span>
                            <div class="item-content orange">{{ maxScore }}</div>
                            </li>
                            <li>
                            <span class="label-wrap">满分：</span>
                            <div class="item-content">{{ fullScore }}</div>
                            </li>
                            <li>
                            <span class="label-wrap">及格分：</span>
                            <div class="item-content">{{ passScore }}</div>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="info-right">
                    坐席
                </div>
            </div>
            <div class="filter-header">
                <ul>
                    <li>
                        <span class="label-wrap">时长：</span>
                        <div class="item-content">
                            <Input v-model="queryData.duration" placeholder="请输入时长" />
                        </div>
                    </li>
                    <li>
                        <span class="label-wrap">阶段：</span>
                        <div class="item-content">
                            <Select v-model="queryData.stage">
                                <Option v-for="item in stage" :value="item.value" :key="item.value">{{ item.label }}</Option>
                            </Select>
                        </div>
                    </li>
                    <li>
                        <span class="label-wrap">时间：</span>
                        <div class="item-content">
                            <Input v-model="queryData.duration" placeholder="请输入时长" />
                        </div>
                    </li>
                    <li class="btn-li">
                        <div class="item-btn">
                        <Button type="primary" @click="query">查询</Button>
                        <Button type="primary" @click="reset">重置</Button>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
        <div class="wrap-content">
            <div class="agent">
                <h3>坐席</h3>
                <ul>
                    <li v-for="(item,index) in agent" :key="index">
                        <Button type="text" @click="selectAgent(item.id)">{{item.name}}</Button>
                    </li>
                </ul>
            </div>
            <div class="client">
                <h3>客户</h3>
                <ul>
                    <li v-for="(item,index) in client[id].clients" :key="index">
                        <Button type="text">{{item.name}}</Button>
                    </li>
                </ul>
            </div>
            <div class="content">
                <Tabs value="name1">
                    <TabPane label="1" name="name1">第一次拨打</TabPane>
                    <TabPane label="2" name="name2">第一次拨打</TabPane>
                    <TabPane label="3" name="name3">第一次拨打</TabPane>
                </Tabs>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "TeamDetail",
        data() {
            return {
                queryData:{
                    duration:null,
                    stage:null
                },
                agent:[
                    {
                        name:'小王',
                        id:1
                    },
                    {
                        name:'小王',
                        id:2
                    },
                    {
                        name:'小王',
                        id:3
                    },
                    {
                        name:'小王',
                        id:4
                    },
                    {
                        name:'小王',
                        id:5
                    }
                ],
                client:[
                    {
                        clients:[
                            {
                                name:'王会',
                                id:1
                            },
                            {
                                name:'王会',
                                id:2
                            },
                            {
                                name:'王会',
                                id:3
                            },
                        ]
                    },
                    {
                        clients:[
                            {
                                name:'王会2',
                                id:1
                            },
                            {
                                name:'王会2',
                                id:2
                            },
                            {
                                name:'王会2',
                                id:3
                            },
                        ]
                    }
                ],
                content:[
                    {
                        contents:[
                            {
                                name:'ajsdasodiasodjoasjdoi',
                                id:1
                            },
                            {
                                name:'ajsdasodiasodjoasjdoi',
                                id:2
                            },
                            {
                                name:'王会',
                                id:3
                            },
                        ]
                    },
                    {
                        contents:[
                            {
                                name:'王会2',
                                id:1
                            },
                            {
                                name:'王会2',
                                id:2
                            },
                            {
                                name:'王会2',
                                id:3
                            },
                        ]
                    }
                ],
                id:0,
                stage:[
                        {
                            value:1,
                            label:'阶段一'
                        },
                        {
                            value:2,
                            label:'阶段二'
                        }
                    ]
            }
        },
        mounted() {
        
        },
        methods: {
            query(){

            },
            reset(){

            },
            selectAgent(id){
                console.log(id);
                this.id=id-1;
            }
        }
    }
</script>

<style scoped lang="scss">
    .wrap {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
        .info-header{
            display: flex;
            justify-content: space-between;
            height: 100px;
            background-color: #fff;
            margin: 10px;
            .info-left{
                width: 50%;
            }
            .info-right{
                flex-grow: 1;
            }
        }
        .filter-header{
            background: #fff;
            margin: 10px;
            ul{
                display: flex;
                flex-wrap: wrap;
                padding: 10px;
                li{
                    display: flex;
                    width: 260px;
                    padding: 5px 5px;
                    .label-wrap{
                        text-align: right;
                        flex: 0 0 70px;
                    }
                    .label-wrap::before{
                        display: inline-block;
                        content: "";
                        height: 100%;
                        vertical-align: middle;
                    }
                    .item-content{
                        flex-grow: 1;
                        align-self: center;
                        display: flex;
                        align-items: center;
                    }
                    .item-btn{
                        .ivu-btn:not(:first-child){
                            margin-left: 10px;
                        }
                    }
                }
                .btn-li{
                    width: auto;
                }
                .nolabel-li{
                    width: 240px;
                }
            }
        }
        .wrap-content{
            background-color: #fff;
            margin: 10px;
            display: flex;
            flex-grow: 1;
            .agent,.client{
                width: 200px;
                border: 1px solid #e8eaec;
                h3{
                    line-height: 32px;
                    padding: 5px;
                    background-color: #F2F2F2;
                    border-radius: 4px;
                }
                ul{
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    margin: 15px;
                    li{
                        width: 100%;
                        text-align: center;
                        padding: 5px;
                        border-bottom: 1px solid #e8eaec;
                        .ivu-btn-text{
                            width: 100%;
                        }
                    }
                }
            }
            .client{
                margin-left:5px;
                border: 1px solid #e8eaec;
            }
            .content{
                padding: 10px;
                flex-grow: 1;
            }
        }
    }
    
</style>